Refresh OEM user secret
When the OEM platform feature is enabled, generates a new provider OEM secret for the target organization user and persists it. Only organization owners may call this endpoint. Returns the updated collaborator.
Request
authorization
Authorization: Bearer <token>
Responses
application/json
{
"status": true,
"data": {
"collaborator": {
"id": "string",
"organization": "string",
"role": "owner",
"tags": [
"string"
],
"user": {
"id": "string",
"email": "[email protected]",
"firstName": "string",
"lastName": "string",
"picture": "string",
"role": "admin",
"ssoUser": true
},
"detected": {},
"createdBy": "string",
"updatedAt": "string",
"createdAt": "string"
},
"oemSecret": "string"
}
}
application/json
{
"status": false,
"error": {
"code": 5187,
"message": "Feature block by platform configuration"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}